#!/usr/bin/env bash

# POOL="DevNosoEU devnoso"

POOL="DevNosoEU"
WALLET="N3KSeC8Le3GDDUU9h4GdHMyGvbH52Ao"
CPU=2

for wallet in ${WALLET:?Variable not set or is empty}; do
    wallets+=" --wallet $wallet"
done

while true; do
  ./noso-go mine pool \
    "${POOL:?Variable not set or is empty}" \
    $wallets \
    --cpu ${CPU:?Variable not set or is empty} \
    --exit-on-retry \
    --random-wallet

  exit_code=$?
  if [ "$exit_code" != "1" ]; then
      continue
  else
      exit $exit_code
  fi
done
